Commit e50de7bc authored by sikeda's avatar sikeda
Browse files

[dev] Updating dependent CPAN modules.

- Email::Simple is no longer used.
- Net::DNS may not be mandatory: It is used only by DKIM and DKIM protection features.
- Bump down required version of DateTime::TimeZone.  DateTime 0.41 bundled in RHEL/CentOS 5 includes it and requires 0.59 or later.


git-svn-id: https://subversion.renater.fr/sympa/branches/sympa-6.2-branch@12489 05aa8bb8-cd2b-0410-b1d7-8918dfa770ce
parent 9523b96f
......@@ -37,12 +37,12 @@ use MIME::EncWords;
use MIME::Entity;
use MIME::Parser;
use MIME::Tools;
use Net::DNS;
use Scalar::Util qw();
use Text::LineFold;
use URI::Escape qw();
BEGIN { eval 'use Crypt::SMIME'; }
BEGIN { eval 'use Net::DNS'; }
use Sympa;
use Conf;
......@@ -3307,6 +3307,9 @@ sub _getCharset {
sub dmarc_protect {
my $self = shift;
# Net::DNS is optional.
return unless $Net::DNS::VERSION;
my $list = $self->{context};
return unless ref $list eq 'Sympa::List';
......
......@@ -93,7 +93,7 @@ our %cpan_modules = (
'gettext_id' => 'used to decode date and time in message headers',
},
'DateTime::TimeZone' => {
required_version => '1.08',
required_version => '0.59',
package_name => 'DateTime-TimeZone',
mandatory => 1,
'gettext_id' => 'used to decode date and time in message headers',
......@@ -152,12 +152,12 @@ our %cpan_modules = (
mandatory => 1,
'gettext_id' => 'used to compute MD5 digests for passwords, etc.',
},
'Email::Simple' => {
required_version => '2.100',
package_name => 'Email-Simple',
mandatory => 1,
'gettext_id' => 'Used for email tracking',
},
#'Email::Simple' => {
# required_version => '2.100',
# package_name => 'Email-Simple',
# mandatory => 1,
# 'gettext_id' => 'Used for email tracking',
#},
'Encode' => {
package_name => 'Encode',
mandatory => 1,
......@@ -311,7 +311,6 @@ our %cpan_modules = (
'Net::DNS' => {
required_version => '0.65',
package_name => 'Net-DNS',
mandatory => 1,
'gettext_id' =>
'this is required if you set a value for "dmarc_protection_mode" which requires DNS verification',
},
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment